## org.eclipse.papyrus.emf.facet.query.ocl.sdk.ui.dialog
Interface IOclDialogFactory

All Superinterfaces:
  IQueryDialogFactory

    public interface IOclDialogFactory

extends IQueryDialogFactory

Method Summary
`void` `setExpression(java.lang.String expression)`

Methods inherited from interface org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.dialog.query.IQueryDialogFactory
`createQuery, getConclusionText`

Method Detail

### setExpression

    void setExpression(java.lang.String expression)